summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/listing/0006ruleset_ip6_0
diff options
context:
space:
mode:
authorArturo Borrero <arturo.borrero.glez@gmail.com>2016-01-13 19:29:09 +0100
committerPablo Neira Ayuso <pablo@netfilter.org>2016-03-03 19:55:25 +0100
commit3fb3bb60337483c6dd578a4ae4ffccf4829b726e (patch)
treea2453f9f7dedb778bb3f2965f1de89cb858a7e5c /tests/shell/testcases/listing/0006ruleset_ip6_0
parentcae7b659d179ea0bb411cc185bfcba4822b763c9 (diff)
tests/listing: add some listing tests
Let's test what is shown with the 'list' command, for ruleset, tables and sets. In order to ease debug in case of failure, if the diff tool is in the system, then a textual diff is printed. Signed-off-by: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/listing/0006ruleset_ip6_0')
-rwxr-xr-xtests/shell/testcases/listing/0006ruleset_ip6_021
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/shell/testcases/listing/0006ruleset_ip6_0 b/tests/shell/testcases/listing/0006ruleset_ip6_0
new file mode 100755
index 00000000..093d5a57
--- /dev/null
+++ b/tests/shell/testcases/listing/0006ruleset_ip6_0
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# listing ruleset per family
+
+EXPECTED="table ip6 test {
+}"
+
+set -e
+
+$NFT add table ip test
+$NFT add table ip6 test
+$NFT add table inet test
+$NFT add table arp test
+$NFT add table bridge test
+
+GET="$($NFT list ruleset ip6)"
+if [ "$EXPECTED" != "$GET" ] ; then
+ DIFF="$(which diff)"
+ [ -x $DIFF ] && $DIFF -u <(echo "$EXPECTED") <(echo "$GET")
+ exit 1
+fi